Bug 108686 - Skipped directories prevent creation of parent-direcories
Skipped directories prevent creation of parent-direcories
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: filesystem (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 00:19 EST by Enrico Scholz
Modified: 2014-03-16 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 21:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-10-31 00:19:14 EST
Description of problem:

When using '%_install_langs C', an installation from scratch will omit the
creation of all directories under /usr/lib/locale (which is correct) and of
/usr/lib/locale itself.

Therefore, after 'rpm -U glibc-common', /usr/lib/locale does not exist and
scriptlets will fail:

--------------
$ echo '%_install_langs C'
$ [ install the minimal 'basesystem filesystem glibc glibc-common libgcc setup   
  tzdata' set ]:

Preparing...                ########################################### [100%]
   1:setup                  ########################################### [ 14%]
   2:filesystem             ########################################### [ 29%]
   3:basesystem             ########################################### [ 43%]
   4:libgcc                 ########################################### [ 57%]
   5:tzdata                 ########################################### [ 71%]
   6:glibc-common           ########################################### [ 86%]
/usr/sbin/build-locale-archive: cannot open directory "/usr/lib/locale/": No
such file or directory
Fehler: %post(glibc-common-2.3.2-98) scriptlet failed, exit status 1
   7:glibc                  ########################################### [100%]
--------------

| $ rpm -q --qf '[%{FILENAMES} %{FILELANGS}\n]' glibc-common
| ...
| /usr/lib/locale 
| /usr/lib/locale/af_ZA af
| ...
| $ ls -l /usr/locale
| ls: /usr/locale: No such file or directory


Version-Release number of selected component (if applicable):

rpm-4.2.1-0.30


filesystem-2.2.1-5
libgcc-3.3.1-6
glibc-common-2.3.2-98
setup-2.5.27-1.1
basesystem-8.0-2
tzdata-2003d-1
glibc-2.3.2-98



Related with bug #52725?
Comment 1 Jeff Johnson 2003-12-05 08:44:50 EST
The expedient workaround is to add /usr/lib/locale to
the filesystem package to establish the skeleton file tree.
(Note there are other dirs that should be considered to be
added to filesystem at same time).

Off to filesystem for fix, bounce back to rpm after ...
Comment 2 Bill Nottingham 2004-01-15 21:53:40 EST
added in 2.2.3-1

Note You need to log in before you can comment on or make changes to this bug.